1. Pickup Address
Omisell Developer Portal | API Documentation & Integration Guides
  • Authentication
  • Common Errors
  • Overview
    • Introduction
    • Push Mechanism
    • Status overview
    • Accounting - API Call Flow
    • ERP Integration Flow
    • API Rate Limits
    • Guide: Direct Integration
    • MCP Server
    • Pagination
  • Changelog
    • 🔐 API Security Upgrade
    • Orders
    • Returns Order
    • Products
    • Shipments
    • Push mechanism
  • API Refference
    • Location
      • Get Country List
      • Get Province List By Country
      • Get District List By Province
      • Get SubDistrict List By District
    • Product
      • Get Product Category
      • Get Product List
      • Add Product
      • Get Product Detail
      • Update Product Detail
      • Get Product Detail by SKU
      • Update Product Detail by SKU
    • Inventory
      • Adjust Stock
      • Delisted Stock
      • Adjust Stock(Old)
    • Serial Number
      • Adjust Serial Number
    • Catalogue
      • Get Catalogue List
      • Get Catalogue Detail
    • Orders
      • Get Order List
      • Add Order
      • Update Document Order
      • Get Order Detail
      • Update Order
      • Cancel Order
      • Get Order Finance
      • Get Returns Receiving Note
      • Get Goods Receipts
    • Returns Order
      • Get Returns Order List
      • Add Order Return
      • Get Return Order Detail
    • Shipments
      • Get Shipment List
      • Add Shipment
      • Update Document Shipment
      • Update Shipment Status
      • Get Shipment Detail
    • Order Dropship
    • Pickup Address
      • Get Pickup List
        GET
      • Get WMS Pickup Map
        GET
    • Shop
      • Get Shop List
    • Finance
      • Get Order Revenue
      • Get Order Return Revenue
    • Customer
      • Get Customer Review List
    • Public
      • Get Seller by Partner
  • Webhooks
    • Order Status Push
    • Return Order Status Push
    • Shipment Status Push
    • Sale Invoice Request
  • eCommerce Platform
    • PrestaShop
    • Magento
    • Shopify
    • Woocommerce
    • Zalora
  1. Pickup Address

Get Pickup List

GET
/api/v2/public/pickup/list

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Query Params

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.omisell.com/api/v2/public/pickup/list?page_size=25&page=1' \
--header 'Seller-ID;' \
--header 'Country;' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json'
Response Response Example
Real response captured from the live API. Personal data replaced with placeholders.
{
  "data": {
    "count": 10,
    "next": "https://api.omisell.com/api/v2/public/pickup/list?page=2&page_size=2",
    "previous": null,
    "results": [
      {
        "id": 38472,
        "user_id": 1,
        "country": "VN",
        "business_id": 386,
        "parent_id": null,
        "pickup_code": "PK138472",
        "pickup_name": "MDA_F100 - HN - Warehouse",
        "name_contact": "Contact Person",
        "phone": "0900000000",
        "address": "Boxme Long Biên, 1 P. Huỳnh Tấn Phát",
        "province_name": "Hà Nội",
        "district_name": "Quận Long Biên",
        "commune_name": "Phường Thạch Bàn",
        "zipcode": "",
        "allocation_ratio": 0,
        "is_active_allocation_auto": 0
      },
      {
        "id": 38471,
        "user_id": 1,
        "country": "VN",
        "business_id": 386,
        "parent_id": null,
        "pickup_code": "PK138471",
        "pickup_name": "MDA_F300 - DN - Warehouse",
        "name_contact": "Contact Person",
        "phone": "0900000000",
        "address": "Kho Đà Nẵng",
        "province_name": "Đà Nẵng",
        "district_name": "Quận Cẩm Lệ",
        "commune_name": "Phường Hòa An",
        "zipcode": "",
        "allocation_ratio": 0,
        "is_active_allocation_auto": 0
      }
    ]
  },
  "error": false,
  "error_code": 200,
  "attr_error": null,
  "messages": "",
  "request_id": "6a7e9d9f716054f8f6d32a65"
}
Modified at 2026-11-03 04:22:17
Previous
Pickup Address
Next
Get WMS Pickup Map
Built with